Create an invoice series
curl --request POST \
--url https://api.contazen.ro/v1/invoice-series \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "FACT",
"description": "<string>",
"start_number": 1,
"is_primary": false
}
'import requests
url = "https://api.contazen.ro/v1/invoice-series"
payload = {
"name": "FACT",
"description": "<string>",
"start_number": 1,
"is_primary": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'FACT', description: '<string>', start_number: 1, is_primary: false})
};
fetch('https://api.contazen.ro/v1/invoice-series', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "<string>",
"object": "invoice_series",
"name": "<string>",
"description": "<string>",
"start_number": 123,
"next_number": 123,
"format": "FACT-{year}-{number}",
"is_primary": true,
"is_used": true,
"is_locked": true,
"lock": {
"device_id": "<string>",
"session_id": 123,
"user_id": 123,
"device_name": "<string>",
"device_platform": "<string>",
"locked_at": 123
},
"year": 123,
"created_at": 123
},
"meta": {
"version": "v1",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"response_time": "23.45ms"
}
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"doc_url": "<string>"
},
"meta": {
"version": "v1",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"response_time": "23.45ms"
}
}Invoice Series
Create an Invoice Series
Create a new invoice numbering series
POST
/
invoice-series
Create an invoice series
Authorizations
Use your API key (sk_live_xxx or sk_test_xxx)
Body
application/json
Series prefix/name (e.g., "FACT", "PF")
Example:
"FACT"
Available options:
fiscal, proforma First invoice number in the series
Set as the default series for this document type
Was this page helpful?
⌘I